import 'package:firebase_auth/firebase_auth.dart';
import 'package:trhung_account_config/constants.dart' as Constants;

class Account {
  String email;
  String pass;
  String name;
  String accountLevel;
  String level;
  String subDepartment;
  String department;
  String company;
  String signUpDate;
  String expiredDate;
  String purchaseLevel;
  bool isExpire;
  User user;

  Account() {
    email = '';
    name = '';
    accountLevel = '';
    level = '';
    subDepartment = '';
    department = '';
    company = '';
    signUpDate = '';
    expiredDate = '';
    purchaseLevel = '';
    isExpire = false;
    user = null;
  }

  String getLastName() {
    return this.name.substring(this.name.lastIndexOf(' '), this.name.length);
  }

  Account.initialFromMapData(Map<String, dynamic> data) {
    email = '';
    name = '';
    accountLevel = '';
    level = '';
    subDepartment = '';
    department = '';
    company = '';
    signUpDate = '';
    expiredDate = '';
    purchaseLevel = '';
    isExpire = false;

    this.email = data['email'];
    this.name = data['name'];
    this.accountLevel = data['accountLevel'];
    this.level = data['level'];
    this.subDepartment = data['subDepartment'];
    this.department = data['department'];
    this.company = data['company'];
    this.signUpDate = data['signUpDate'];
    this.expiredDate = data['expiredDate'];
    this.purchaseLevel = data['purchaseLevel'];
    this.isExpire = data['isExpire'];
  }

  bool get isTechnician {
    return this.accountLevel == Constants.ACCOUNT_LEVEL_TECHNICIAN
        ? true
        : false;
  }
  bool get isSupervisor {
    return this.accountLevel == Constants.ACCOUNT_LEVEL_SUPERVISOR
        ? true
        : false;
  }

  Map<String, dynamic> convertToMap() {
    var valueData = new Map<String, dynamic>();
    valueData['email'] = this.email;
    valueData['name'] = this.name;
    valueData['accountLevel'] = this.accountLevel;
    valueData['level'] = this.level;
    valueData['subDepartment'] = this.subDepartment;
    valueData['department'] = this.department;
    valueData['company'] = this.company;

    valueData['signUpDate'] = this.signUpDate;
    valueData['expiredDate'] = this.expiredDate;
    valueData['purchaseLevel'] = this.purchaseLevel;
    valueData['isExpire'] = this.isExpire;

    return valueData;
  }
}
