import 'package:firebase_auth/firebase_auth.dart';
import 'package:intl/intl.dart';
import 'package:trhung_account_config/fire_base_auth.dart';
import 'package:trhung_account_config/account.dart';

class AccountRepository {
  var _firAuth = FirAuth();
  UserCredential authResult;
  Account account;

  Future<bool> isSignedIn() async {
    final isSignedIn = await _firAuth.isSignedIn();
    return isSignedIn;
  }

  Future<UserCredential> signIn(String email, String pass) async {
    return _firAuth.signIn(email, pass);
  }

  Future<UserCredential> signUp(String email, String pass) async {
    return _firAuth.signUp(email, pass);
  }

  Future<void> signOut() async {
    try {
      await _firAuth.signOut();
    } catch (e) {
      print("error logging out");
    }
    return null;
  }

  Future<Account> getUserInformation() async {
    account = await _firAuth.getUserInformation();
    var expiredDate = DateTime.parse("${account.expiredDate} 00:00:00");
    var timeNow = DateTime.parse(
        "${DateFormat('yyyy-MM-dd').format(DateTime.now())} ${DateFormat('kk:mm:ss').format(DateTime.now())}");

    if (timeNow.isAfter(expiredDate)) {
      account.isExpire = true;
    } else {
      account.isExpire = false;
    }

    return account;
  }

  Future<String> resetPassword(String email) async {
    return await _firAuth.resetPassword(email);
  }
}

class AccountError extends Error {}
