part of 'auth_bloc.dart';

abstract class AuthEvent extends Equatable {
  const AuthEvent();
}

class AuthenticationStarted extends AuthEvent {
  @override
  List<Object> get props => [];
}

class SignUp extends AuthEvent {
  final String email;
  final String pass;

  const SignUp(this.email, this.pass);

  @override
  List<Object> get props => [email, pass];
}

class SignIn extends AuthEvent {
  final String email;
  final String pass;

  const SignIn(this.email, this.pass);

  @override
  List<Object> get props => [email, pass];
}

class SignOut extends AuthEvent {
  @override
  List<Object> get props => [];
}

class PasswordReset extends AuthEvent {
  final String email;
  const PasswordReset(this.email);
  @override
  List<Object> get props => [email];
}

class GetAuthInfo extends AuthEvent {
  @override
  List<Object> get props => [];
}
