part of 'auth_bloc.dart';

abstract class AuthState extends Equatable {
  const AuthState();
}

class AuthInitial extends AuthState {
  const AuthInitial();
  @override
  List<Object> get props => [];
}

class NotLoginYet extends AuthState {
  const NotLoginYet();
  @override
  List<Object> get props => [];
}

class AuthLoading extends AuthState {
  const AuthLoading();
  @override
  List<Object> get props => [];
}

class AuthSuccess extends AuthState {
  final UserCredential authResult;
  const AuthSuccess(this.authResult);
  @override
  List<Object> get props => [authResult];
}

class AuthFail extends AuthState {
  final String message;
  const AuthFail(this.message);
  @override
  List<Object> get props => [message];
}

class AuthInfo extends AuthState {
  final Account account;
  const AuthInfo(this.account);
  @override
  List<Object> get props => [account];
}

class AuthSignOut extends AuthState {
  final String signOutMess;
  const AuthSignOut(this.signOutMess);
  @override
  List<Object> get props => [signOutMess];
}

class AuthResetPassword extends AuthState {
  final String messResetPassword;
  const AuthResetPassword(this.messResetPassword);
  @override
  List<Object> get props => [messResetPassword];
}



